/*
   Copyright 2010, NETGEAR
   All rights reserved.
*/

#include "stdio.h"
#include "replication.h"

void replication_out_s(const char* type, const char* value, const char* desc)
{
    if (type && value)
    {
	if (desc)
	{
	    printf("R:%s:> %s (%s)\n", type, value, desc);
	}
	else
	{
	    printf("R:%s:> %s\n", type, value);
	}
    }
    fflush(stdout);
    /*fflush(stderr);*/
}

void replication_out_ll(const char* type, long long value)
{
    if (type)
    {
	printf("R:%s:> %lld\n", type, value);
    }
    fflush(stdout);
    /*fflush(stderr);*/
}
